Menu

## DamageLifetapEvent extends BattleEvent
in package

DamageLifetapEvent.php : 12

Damage event where damage is the result of a life tap.

### Table of Contents

$healAmount : int
$message : string
$target : FighterInterface
$applied : mixed
__construct() : mixed
  Construct a new DamageLifetapEvent where healing amount is $healAmount and target is $target.
apply() : mixed
  Applies the event.
decorate() : string
  Returns a string describing the event.
getHealAmount() : int
  Return the heal amount.

### Properties

#### $healAmount

DamageLifetapEvent.php : 17
`protected int $healAmount`

#### $message

DamageLifetapEvent.php : 19
`protected string $message`

#### $target

DamageLifetapEvent.php : 15
`protected FighterInterface $target`

#### $applied

BattleEvent.php : 14
`private mixed $applied = false`

### Methods

#### __construct()

DamageLifetapEvent.php : 30

Construct a new DamageLifetapEvent where healing amount is $healAmount and target is $target.

`public __construct(FighterInterface $target, int $healAmount, string $message) : mixed`

$message can contain '{target}' and '{damage}' which will be replaced by the name of the target and the damage, respectively.

##### Parameters

$target : FighterInterface
$healAmount : int
$message : string

##### Return values

mixed —

#### apply()

DamageLifetapEvent.php : 49

Applies the event.

`public apply() : mixed`

##### Tags

inheritDoc

##### Return values

mixed —

#### decorate()

DamageLifetapEvent.php : 65

Returns a string describing the event.

`public decorate(Game $game) : string`

##### Parameters

$game : Game

##### Tags

inheritDoc

##### Return values

string —

#### getHealAmount()

DamageLifetapEvent.php : 41

Return the heal amount.

`public getHealAmount() : int`

##### Return values

int —

## Search results